classification
Title: liblzma is missing from pcbuild.sln
Type: compile error Stage: resolved
Components: Windows Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mariatta, Mo.Jia, Segev Finer, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2017-01-07 08:48 by Segev Finer, last changed 2017-04-21 18:36 by Mariatta. This issue is now closed.

Files
File name Uploaded Description Edit
add-liblzma-to-pcbuild-sln.patch Segev Finer, 2017-01-07 08:48 Add liblzma to pcbuild.sln for default branch review
Pull Requests
URL Status Linked Edit
PR 1222 merged Segev Finer, 2017-04-20 23:03
PR 1244 merged steve.dower, 2017-04-21 16:49
Messages (8)
msg284902 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-01-07 08:48
liblzma is missing from pcbuild.sln. This causes the build of _lzma to fail when building the solution and not using build.bat.

Attached is a patch that fixes this for the default branch. Note that it also includes some missing project configurations for the _asyncio module which Visual Studio will add every single time you open the solution.

A similar patch is simple enough to create for older versions/branches. Just Add->Existing Project liblzma.vcxproj and make sure to revert any lines in the sln which Visual Studio added that you don't want to commit. (Like VisualStudioVersion = ...)
msg284920 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-01-07 15:10
LGTM. Though as you say, it's probably easiest for one of us to go through each branch and use VS to get it right. I think both of those projects were added from other operating systems, so updating the sln wouldn't be so easy.

I'll get to it at some point unless someone else does. The merging necessary is going to make using patch files difficult.
msg288484 - (view) Author: Mo Jia (Mo.Jia) Date: 2017-02-23 21:08
I think let user add the liblzma project by hand is not good enough. While the build.bat don't have this problem. So they should work similar.
msg292003 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-04-20 23:33
New changeset f60c9e54f501065f3be2a4cfb4c387dfa2f243a9 by Steve Dower (Segev Finer) in branch 'master':
bpo-29191: Add liblzma.vcxproj to pcbuild.sln and other missing entries (#1222)
https://github.com/python/cpython/commit/f60c9e54f501065f3be2a4cfb4c387dfa2f243a9
msg292016 - (view) Author: Segev Finer (Segev Finer) * Date: 2017-04-21 08:46
The PR was merged for Python 3.7. But this also affects older Python 3 versions that include liblzma/_lzma as far as I can tell. So I'm not closing this issue just yet, so that it will serve as a remainder, in case you do want to back port this.

Thanks for merging! :)
msg292066 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-04-21 16:43
Yeah, merging into master is easy right now, but backports are still manual effort. It should only require 3.6, so I'll try to get to it today.
msg292072 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-21 18:28
New changeset 1ccbe6007e5569ab25170f8ecddd5fbbc2ef36b0 by Mariatta (Steve Dower) in branch '3.6':
bpo-29191: Add liblzma.vcxproj to pcbuild.sln and other missing entries (GH-1222) (GH-1244)
https://github.com/python/cpython/commit/1ccbe6007e5569ab25170f8ecddd5fbbc2ef36b0
msg292073 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-04-21 18:36
Thanks everyone :) I merged the backport PR, so I'm closing this issue.

While backporting is still a manual effort, this utility script automates some part of it. https://github.com/python/core-workflow/tree/master/cherry_picker
History
Date User Action Args
2017-04-21 18:36:59Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg292073

stage: resolved
2017-04-21 18:28:49Mariattasetnosy: + Mariatta
messages: + msg292072
2017-04-21 16:49:49steve.dowersetpull_requests: + pull_request1362
2017-04-21 16:43:08steve.dowersetmessages: + msg292066
2017-04-21 08:46:03Segev Finersetmessages: + msg292016
2017-04-20 23:33:30steve.dowersetmessages: + msg292003
2017-04-20 23:03:43Segev Finersetpull_requests: + pull_request1345
2017-02-23 22:22:56steve.dowersetversions: + Python 3.6
2017-02-23 21:08:45Mo.Jiasetnosy: + Mo.Jia

messages: + msg288484
versions: - Python 3.5, Python 3.6
2017-01-07 15:10:31steve.dowersetmessages: + msg284920
2017-01-07 08:48:55Segev Finercreate